POST/carrates

Car Rates

This endpoint retrieves car rental rates based on a single pickup and drop location along with other required trip parameters.
POST/carrates

Parameter Details

NameInTypeRequiredDescription
» pickupLocationbodystringRequiredPickup airport code or location name.
» dropLocationbodystringRequiredDrop location name.
» websiteCodebodyintegerRequiredWebsite/source identifier.
» cobbodystringRequiredCountry of Booking (e.g., US).
» pickupDatebodystring(date)RequiredPickup date in YYYY-MM-DD format.
» dropDatebodystring(date)RequiredDrop date in YYYY-MM-DD format.
» pickupTimebodyRequiredPickup time in HH:mm format.
» dropTimebodyRequiredDrop time in HH:mm format.
» currencybodystringRequiredCurrency code (e.g., USD, EUR).

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
403ForbiddenForbidden - Access deniedNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /carrates/ \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}' \
  -d '{"pickupLocation":"string","dropLocation":"string","websiteCode":0,"cob":"string","pickupDate":"string","dropDate":"string","pickupTime":"string","dropTime":"string","currency":"string"}'

Body parameter

{
  "pickupLocation": "ATL",
  "dropLocation": "ATL",
  "websiteCode": 1,
  "cob": "US",
  "pickupDate": "2026-05-19",
  "dropDate": "2026-05-19",
  "pickupTime": "10:00",
  "dropTime": "10:30",
  "currency": "USD"
}

Example responses

200 Response
[
  {
    "websiteCode": 1,
    "source": "Expedia",
    "pickupLocation": "ATL",
    "dropLocation": "ATL",
    "pickupDate": "2025-06-17",
    "dropDate": "2025-06-20",
    "pickupTime": "12:00:00",
    "dropTime": "11:00:00",
    "vendorName": "Enterprise",
    "vendorCode": "ET",
    "carName": "Nissan Rogue AWD or similar",
    "carType": "Midsize SUV AWD",
    "price": "159.2",
    "basePrice": "13.3",
    "currency": "USD",
    "carCode": "IFDR",
    "door": "5 door",
    "airCondition": true,
    "transmission": "Automatic",
    "mileage": "Unlimited",
    "vendorRating": "82%",
    "passengerCapacity": 5,
    "baggageDetails": null,
    "cob": "US",
    "dtcollected": "2025-05-29T12:40:23",
    "statusCode": 200,
    "prepay": "true",
    "address": "Atlanta, GA, United States of America (ATL-Hartsfield-Jackson Atlanta Intl.)",
    "carDesc": "Nissan Rogue AWD or similar;5 Doors doors;5 passengers;None large_luggage;0 small_luggage;AC:Air Conditioning;Automatic",
    "latitude": 33.640785,
    "longitude": -84.446036,
    "addressStreet": "South Terminal Parkway",
    "addressCity": "College Park",
    "addressState": "Georgia",
    "addressCountry": "US",
    "transmissionDrive": "Auto Unspecified Drive",
    "fuelAir": "Unspecified Fuel/Power With Air",
    "isTerminalPickup": true,
    "carIndex": 1
  }
]

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.